
Foreman - Bug #9939

foreman-installer-staypuft package conflicting with foreman-installer

03/29/2015 07:40 AM - Paul Muadib

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

I configured the foreman 1.8 repo (also tested with nightly) under CentOS 7. Whenever I tried to install foreman-installer-staypuft

package, I get a conflicting error with the foreman-installer package.

[root@staypuft ~]# yum repolist

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile  * base: centos.mirror.fr.planethoster.net  * epel: mirrors.ircam.fr  * extras:

distrib-coffee.ipsl.jussieu.fr  * updates: centos.mirror.fr.planethoster.net

repo id                                                                                               repo name                                                                                        

status

base/7/x86_64                                                                                         CentOS-7 - Base                                                                       

8,465

epel/x86_64                                                                                           Extra Packages for Enterprise Linux 7 - x86_64                         

7,534

extras/7/x86_64                                                                                       CentOS-7 - Extras                                                                     

104

foreman/x86_64                                                                                        Foreman 1.8                                                                             

280

foreman-plugins/x86_64                                                                                Foreman plugins 1.8                                                            

167

puppetlabs-deps/x86_64                                                                                Puppet Labs Dependencies El 7 - x86_64                          

17

puppetlabs-products/x86_64                                                                            Puppet Labs Products El 7 - x86_64                                

151

updates/7/x86_64                                                                                      CentOS-7 - Updates                                                                

1,725

repolist: 18,443

[root@staypuft ~]# yum -y install puppet-3.7.4 foreman-installer-staypuft

...

Transaction check error:

file /usr/share/foreman-installer/modules/firewall/CHANGELOG.md conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/CONTRIBUTING.md conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/Gemfile conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/README.markdown conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/Rakefile conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/checksums.json conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch
file /usr/share/foreman-installer/modules/firewall/lib/facter/iptables_persistent_version.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/lib/puppet/provider/firewall/ip6tables.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/lib/puppet/provider/firewall/iptables.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/lib/puppet/type/firewall.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/lib/puppet/type/firewallchain.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/lib/puppet/util/firewall.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/manifests/init.pp conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/manifests/linux.pp conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/manifests/linux/archlinux.pp conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/manifests/linux/debian.pp conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/manifests/linux/redhat.pp conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/metadata.json conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/firewall_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/firewallchain_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/ip6_fragment_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/isfragment_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/nodesets/centos-59-x64.yml conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/nodesets/ubuntu-server-10044-x64.yml conflicts between

attempted installs of foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/nodesets/ubuntu-server-1404-x64.yml conflicts between attempted

installs of foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/params_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/purge_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/resource_cmd_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/rules_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/socket_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/acceptance/standard_usage_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/spec_helper_acceptance.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/classes/firewall_linux_archlinux_spec.rb conflicts between attempted

installs of foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/classes/firewall_linux_debian_spec.rb conflicts between attempted installs

of foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/classes/firewall_linux_redhat_spec.rb conflicts between attempted installs

of foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/classes/firewall_linux_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/facter/iptables_persistent_version_spec.rb conflicts between attempted

installs of foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/puppet/provider/iptables_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/puppet/type/firewall_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/puppet/type/firewallchain_spec.rb conflicts between attempted installs of
foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

file /usr/share/foreman-installer/modules/firewall/spec/unit/puppet/util/firewall_spec.rb conflicts between attempted installs of

foreman-installer-staypuft-1:0.5.6-1.el7.noarch and foreman-installer-1:1.8.0-0.1.RC2.el7.noarch

Error Summary

-------------

Associated revisions

Revision e06fd17d - 03/30/2015 11:41 AM - Dominic Cleal

refs #9939 - remove staypuft, unmaintained

History

#1 - 03/29/2015 10:11 AM - Marek Hulán

- Status changed from New to Rejected

As far as I know staypuft won't work with latest Foreman. Uninstalling the foreman-installer-staypuft package will fix it unless you're trying to install

staypuft. If you do, please consider opening this bug against staypuft.

Btw I'm not sure whether RPM has some way to list conflicting packages but maybe we should add conflict to DEB package of installer.

#2 - 03/29/2015 11:23 AM - Paul Muadib

Why the foreman-installer-staypuft package is available within the yum repo of the foreman 1.8 if it is incompatible with foreman-installer package ?

As I understand, foreman-installer is a prerequise package for foreman-installer-staypuft !

#3 - 03/29/2015 11:31 AM - Marek Hulán

Staypuft builds into our nightly repos and we probably took the latest present version to 1.8. Dominic, should we remove these from 1.8 release? I'll

try to find out whether staypuft is considered to run with Foreman 1.8 first, but I don't think I'll receive positive answer.

#4 - 03/29/2015 02:14 PM - Paul Muadib

Thank you for your answer. Do you know what version of foreman runs with staypuft ? Some people wrote that staypuft is a stalled project. What is

the exact status of this project ?

#5 - 03/30/2015 03:03 AM - Marek Hulán

I think 1.7 was the closest one but tbh I don't know. I think it worked with some specific nightly version... Best would be to ask on #staypuft irc channel

about status.

#6 - 03/30/2015 03:25 AM - Dominic Cleal

Marek Hulán wrote:

Staypuft builds into our nightly repos and we probably took the latest present version to 1.8. Dominic, should we remove these from 1.8 release?

I'll try to find out whether staypuft is considered to run with Foreman 1.8 first, but I don't think I'll receive positive answer.

 Yeah, I tend to remove packages that we know are unmaintained or incompatible, it sounds like staypuft qualifies for deletion.

#7 - 03/30/2015 11:26 AM - Marek Hulán

For the record, I got the confirmation that 1.8 won't work.

#8 - 03/30/2015 11:27 AM - Dominic Cleal

Marek Hulán wrote:

For the record, I got the confirmation that 1.8 won't work.

 And they don't intend to maintain it any longer, or that's just the current status?

#9 - 03/30/2015 11:35 AM - Marek Hulán

Answer was "probably". Meaning, it's probable they won't make it run with newer Foreman versions.

#10 - 03/30/2015 11:44 AM - Dominic Cleal

Thanks for confirming, I'm removing it from nightly and 1.8 repos via 

https://github.com/theforeman/foreman-packaging/commit/e06fd17d849a5270c1a303814d26512f527cd820
Apologies for you getting caught up in that Paul, hopefully this will stop other people wasting any time with it.

#11 - 04/29/2015 01:27 PM - Ignacio Bravo

Staypuft version 0.4.7 confirmed to be working with Foreman version 1.7.5
